org.apache.lucene.codecs.lucene53

## Class Lucene53NormsFormat

- java.lang.Object
- - org.apache.lucene.codecs.NormsFormat
  - - org.apache.lucene.codecs.lucene53.Lucene53NormsFormat

-     public class Lucene53NormsFormat
      extends NormsFormat

  Lucene 5.3 Score normalization format.

  Encodes normalization values by encoding each value with the minimum number of bytes needed to represent the range (which can be zero).

  Files:

  1. `.nvd`: Norms data
  2. `.nvm`: Norms metadata

  1. The Norms metadata or .nvm file.

     For each norms field, this stores metadata, such as the offset into the Norms data (.nvd)

     Norms metadata (.dvm) --> Header,<Entry>NumFields,Footer

     - Header --> `IndexHeader`
     - Entry --> FieldNumber,BytesPerValue, Address
     - FieldNumber --> `vInt`
     - BytesPerValue --> `byte`
     - Offset --> `Int64`
     - Footer --> `CodecFooter`

     FieldNumber of -1 indicates the end of metadata.

     Offset is the pointer to the start of the data in the norms data (.nvd), or the singleton value when BytesPerValue = 0

  2. The Norms data or .nvd file.

     For each Norms field, this stores the actual per-document data (the heavy-lifting)

     Norms data (.nvd) --> Header,< Data >NumFields,Footer

     - Header --> `IndexHeader`
     - Data --> `byte`MaxDoc * BytesPerValue
     - Footer --> `CodecFooter`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene53NormsFormat()` Sole Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NormsConsumer` | `normsConsumer(SegmentWriteState state)`
    `NormsProducer` | `normsProducer(SegmentReadState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene53NormsFormat

          public Lucene53NormsFormat()

      Sole Constructor

  - ### Method Detail

    - #### normsConsumer

          public NormsConsumer normsConsumer(SegmentWriteState state)
                                      throws IOException

      Specified by:
        `normsConsumer` in class `NormsFormat`
      Throws:
        `IOException`

    - #### normsProducer

          public NormsProducer normsProducer(SegmentReadState state)
                                      throws IOException

      Specified by:
        `normsProducer` in class `NormsFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.